%define builtin_release_name Boron
%define product_family Scientific Linux
%define base_release_version 5.0
%define builtin_release_variant SL
%define builtin_release_version %{base_release_version}
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define real_release_name %{?release_name}%{!?release_name:%{builtin_release_name}}
%define product_family Scientific Linux

%define current_arch %{_arch}
%ifarch i386
%define current_arch x86
%endif

Summary: %{product_family} release file
Name: sl-release
Version: %{real_release_version}
Release: 2
License: GPL
Group: System Environment/Base
Source: sl-release-%{builtin_release_version}.tar.gz
Obsoletes: rawhide-release redhat-release-as redhat-release-es redhat-release-ws redhat-release-de comps rpmdb-redhat redhat-release
Provides: redhat-release
BuildRoot: %{_tmppath}/sl-release-root

%description
%{product_family} release files

%prep
%setup -q -n sl-release-%{builtin_release_version}

%build
#python -c "import py_compile; py_compile.compile('eula.py')"
python -c "import py_compile"

%install
rm -rf $RPM_BUILD_ROOT

#create redhat-release, issue, and issue.net
mkdir -p $RPM_BUILD_ROOT/etc
echo "%{product_family} %{builtin_release_variant} release %{base_release_version} (%{real_release_name})" > $RPM_BUILD_ROOT/etc/redhat-release
cp $RPM_BUILD_ROOT/etc/redhat-release $RPM_BUILD_ROOT/etc/issue
echo "Kernel \r on an \m" >> $RPM_BUILD_ROOT/etc/issue
cp $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
echo >> $RPM_BUILD_ROOT/etc/issue

#Put in the configuration for rhn incase someone installs it
mkdir -p -m 755 $RPM_BUILD_ROOT/etc/sysconfig/rhn
install -m 644 sources $RPM_BUILD_ROOT/etc/sysconfig/rhn

#Put the default bookmarks in the right place
mkdir -p $RPM_BUILD_ROOT/usr/share/%{name}
install -m 644 mozilla-scientific-default-bookmarks.html $RPM_BUILD_ROOT/usr/share/%{name}/default-bookmarks.html

#Put in the GPG keys that signed the packages
mkdir -p -m 755 $RPM_BUILD_ROOT/etc/pki/rpm-gpg
for file in RPM-GPG-KEY* ; do
        install -m 644 $file $RPM_BUILD_ROOT/etc/pki/rpm-gpg
done


%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- firefox, %{_bindir}/firefox
{
	shopt -s nullglob
	for line in /usr/lib{,64}/firefox-*/defaults/profile
	do
		[ -d "$line" ] && cp -f /usr/share/%{name}/default-bookmarks.html $line/bookmarks.html
		[ -d "$line" ] && cp -f /usr/share/%{name}/default-bookmarks.html $line/US/bookmarks.html
	done
} &> /dev/null || :

%files
%defattr(-,root,root)
%attr(0644,root,root) /etc/redhat-release
%doc GPL autorun-template
%config(noreplace) %attr(0644,root,root) /etc/issue
%config(noreplace) %attr(0644,root,root) /etc/issue.net
%config(noreplace) /usr/share/%{name}/default-bookmarks.html
%dir /etc/pki/rpm-gpg
/etc/pki/rpm-gpg/*
%dir /etc/sysconfig/rhn
%config(noreplace) /etc/sysconfig/rhn/sources

%changelog
* Tue Mar 27 2007 Troy Dawson <dawson@fnal.gov> - 5.0-2
- Added bookmarks fix

* Wed Dec 07 2006 Troy Dawson <dawson@fnal.gov> - 5.0-1
- First pass at the spec file
